# Post

## Create a new document in section

### Parameters:

| Name      | Optional / Required | Data type         | Description              | Default |
| --------- | ------------------- | ----------------- | ------------------------ | ------- |
| id        | required            | String            | One of your section ids  |         |
| documents | required            | String or integer | One or more document ids |         |

### Demo

&#x20;URL Find your token on - [yumpu.com](https://www.yumpu.com/en/account/profile/api) Token&#x20;

&#x20;id  documents&#x20;

Run request

```
```

{% tabs %}
{% tab title="curl" %}
Example:

```
curl -X POST -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" -d "id=iMWWKoMS76pjqMoO_vpgFQQ3sHervO8yj" -d "documents=20327014,20327015" "https://api.yumpu.com/2.0/collection/section/document.json"
```

{% endtab %}

{% tab title="PHP" %}
Example:

```php
require_once('../yumpu.php');
$yumpu = new Yumpu();
$data = array(
    'id' => 'iMWWKoMS76pjqMoO_vpgFQQ3sHervO8yj',
    'documents' => '20327014,20327015'
);
$sectionDocument = $yumpu->postSectionDocument($data);
```

{% endtab %}

{% tab title="JavaScript" %}
Example:

```javascript
var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
  id: 'iMWWKoMS76pjqMoO_vpgFQQ3sHervO8yj',
  documents: '20327014,20327015'
};
yumpu.postSectionDocument(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});
```

{% endtab %}

{% tab title="Java" %}
Example:

```java
Yumpu y = new Yumpu("your access token");
String[] params = {"id=iMWWKoMS76pjqMoO_vpgFQQ3sHervO8yj", "documents=20327014,20327015"};
System.out.println(y.postSectionDocument(params));
```

{% endtab %}
{% endtabs %}

Whatever language you are using, the result will be the same.

```bash
{
  "section": [
    {
      "id": "vpgFQQ3sHervO8yj",
      "create_date": "2016-09-06 15:58:35",
      "update_date": "2016-09-13 09:39:56",
      "name": "Sports",
      "description": "Sports",
      "sorting": "manually",
      "order": 2,
      "documents": {
        "55910932": {
          "id": 20327014,
          "user_id": 106836286,
          "title": "new title",
          "description": "",
          "cover": "https://img.yumpu.com/55910932/1/115x163/new-title.jpg",
          "create_date": "2016-09-06 12:46:48",
          "update_date": "2016-09-06 12:48:03",
          "cover_size": "115x163",
          "pages": 3,
          "language": "de",
          "settings": {
            "privacy_mode": "public"
          },
          "sha1_checksum": "4cf2c13c2692e0054d3837e3c7848ec8319111dd"
        },
        "55914449": {
          "id": 20327015,
          "user_id": 106836286,
          "title": "Audi Modelle",
          "description": "",
          "cover": "https://img.yumpu.com/55914449/1/109x163/audi-modelle.jpg",
          "create_date": "2016-09-07 10:11:48",
          "update_date": "2016-09-07 10:13:03",
          "cover_size": "109x163",
          "pages": 69,
          "language": "de",
          "settings": {
            "privacy_mode": "public"
          },
          "sha1_checksum": "45330f1f1bae0c0344046c487105a2a0efa2c194"
        }
      }
    }
  ],
  "state": "success",
  "status_code": 200,
  "completed_in": 0.556
}
```
